%define version 0.2.4
%define release %mkrel 1

Summary:	Console frontend of gnuchess
Name:		cboard
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
URL:		http://arbornet.org/~bjk/cboard/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2

BuildRequires:	ncurses-devel
Requires:	gnuchess

%description
CBoard is a console frontend to GNU Chess, using the ncurses library for
the interface. It can edit PGN tags, annotate moves with NAG, and more.

%prep
%setup -q

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/man?/*


%changelog
* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/04/06 21:38:28 (52991)
- 0.2.4
- remove menu entry (is text application)

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/04/06 21:31:49 (52920)
Import cboard

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Thu May 04 2006 Jerome Soyer <saispo@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Wed Apr 26 2006 Lenny Cartier <lenny@mandriva.com> 0.2.1-1mdk
- rebuild

* Sat Dec 31 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.6-4mdk
- rebuild

* Mon Dec 20 2004 Abel Cheung <deaddog@mandrake.org> 0.1.6-3mdk
- Rebuild

* Mon Nov 03 2003 Abel Cheung <deaddog@deaddog.org> 0.1.6-2mdk
- Move binaries and data files to games dir

* Fri Sep 19 2003 Abel Cheung <maddog@linux.org.hk> 0.1.6-1mdk
- First Mandrake package
- Patch0: Fix compilation with newest gcc

